PRO  CREATE_NAWIPS_BINARY, input, limit, nx,ny,out_dir, adate, atime
   bin1=input.data1 & bin2=input.data2 & bin3=input.data3
   rrbin1 = REMAP_ACCUM_DATA(bin1,limit)                                   ;; Remap to fit AWIPS projection
   rrbin2 = REMAP_INDIV_DATA(bin2,limit)                                   ;; Remap to fit AWIPS projection
   rrbin3 = REMAP_OVERSHOOT_DATA(bin3,limit)                               ;; Remap to fit AWIPS projection 
  
  WRITE_NAWIPS_BINARY, rrbin1, rrbin2, rrbin3, out_dir, adate,atime 
END



PRO  WRITE_NAWIPS_BINARY, rrbin1,rrbin2, rrbin3, out_dir, adate,atime
;;;; Write ci_accum text file 
OPENW,  lun2, out_dir+'ascii_'+adate+'_'+atime+'_ci_accum.txt', /GET_LUN
FF= SIZE(rrbin1.ci_accum_bli_pc, /DIMENSIONS)
;PRINTF, lun2, ff   
FOR bb=0, FF[1]-1 DO BEGIN
 FOR aa=0, FF[0]-1 DO BEGIN
      PRINTF, lun2, float(rrbin1.ci_accum_bli_pc(aa,bb)) ;, format='(f6.3)'
      ;STRING(offset2, format='(f3.2)'), /FLOAT 
 ENDFOR
ENDFOR     
FREE_LUN, lun2
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;; Write ctc_accum text file 
OPENW,  lun2, out_dir+'ascii_'+adate+'_'+atime+'_ctc_accum.txt', /GET_LUN
FF= SIZE(rrbin1.ctc_accum_bli_pc, /DIMENSIONS)
;PRINTF, lun2, ff   
FOR bb=0, FF[1]-1 DO BEGIN
 FOR aa=0, FF[0]-1 DO BEGIN
      PRINTF, lun2, float(rrbin1.ctc_accum_bli_pc(aa,bb)) ;, format='(f6.3)'
 ENDFOR  
ENDFOR   
FREE_LUN, lun2
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Write ci_inst text file 
OPENW,  lun2, out_dir+'ascii_'+adate+'_'+atime+'_ci_inst.txt', /GET_LUN
FF= SIZE(rrbin2.ci_indiv_bli_pc, /DIMENSIONS)
;PRINTF, lun2, ff   
FOR bb=0, FF[1]-1 DO BEGIN
 FOR aa=0, FF[0]-1 DO BEGIN
      PRINTF, lun2, float(rrbin2.ci_indiv_bli_pc(aa,bb)) ;, format='(f6.3)'
 ENDFOR     
ENDFOR
FREE_LUN, lun2
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Write ctc_inst text file 
OPENW,  lun2, out_dir+'ascii_'+adate+'_'+atime+'_ctc_inst.txt', /GET_LUN
FF= SIZE(rrbin2.ctc_indiv_bli_pc, /DIMENSIONS)
;PRINTF, lun2, ff   
FOR bb=0, FF[1]-1 DO BEGIN
 FOR aa=0, FF[0]-1 DO BEGIN
      PRINTF, lun2, float(rrbin2.ctc_indiv_bli_pc(aa,bb)) ;, format='(f6.3)'
 ENDFOR  
ENDFOR   
FREE_LUN, lun2
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Write overshoot text file 
OPENW,  lun2, out_dir+'ascii_'+adate+'_'+atime+'_overshoot.txt', /GET_LUN
FF= SIZE(rrbin3.overshoot, /DIMENSIONS)
;PRINTF, lun2, ff   
FOR bb=0, FF[1]-1 DO BEGIN
 FOR aa=0, FF[0]-1 DO BEGIN
      PRINTF, lun2, float(rrbin3.overshoot(aa,bb)) ;, format='(f6.3)'
 ENDFOR  
ENDFOR   
FREE_LUN, lun2
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
PRINT, 'DONE WRITTING BINARY FILE.'
END