
FUNCTION READ_CI_CTC, INFILE1, INFILE2, INFILE3, IN_DIR1, IN_DIR2, IN_DIR3

PRINT, 'Reading data'
	
	 st0= STRPOS(INFILE1, '/', /REVERSE_SEARCH)
	 st1= STRPOS(INFILE1, 'GOES-12', /REVERSE_SEARCH)
	 end0=STRPOS(INFILE1, '.accum', /REVERSE_SEARCH)
	
	path_accum_ci = in_dir1
	path_indiv_ci = in_dir2
	path_overshoot = in_dir3
;print, path_accum_ci
;print, path_indiv_ci
;print, path_overshoot
	;----->Pulling necessary information from file name
	year =  STRMID(infile1,st1+8,4)
	dayofyear =STRMID(infile1,st1+12,3)
	time = STRMID(infile1,st1+16,4)

;	Converting day-of-year to month and day
	caldat,julday(1,fix(dayofyear),fix(year)),month,day
	daystr = STRCOMPRESS(STRING(day),/REMOVE_ALL)
	monthstr = STRCOMPRESS(STRING(month),/REMOVE_ALL)
	if (day lt 10) then daystr = '0'+daystr
	if (month lt 10) then monthstr = '0'+monthstr
	date = year+monthstr+daystr

	filename_accum = 'GOES-12.'+year+dayofyear+'.'+time+'00.accum_ci.hdf'
	filename_indiv = 'geocatL2.GOES-12.'+year+dayofyear+'.'+time+'00.hdf.ci.hdf'
	filename_overshoot = 'geocatL2.GOES-12.'+year+dayofyear+'.'+time+'00.hdf'

	;----->Specifying wanted data from hdf files and its aliases
	accum_struct = [['lat','lat'], $
               	 	['lon','lon'], $
               		['ci_accum_bli_pc','ci_accum_bli_pc'], $
               		['ctc_accum_bli_pc','ctc_accum_bli_pc']]
            
	indiv_struct = [['lat','lat'], $
               	 	['lon','lon'], $
               	 	['conv_init_bli_pc','ci_indiv_bli_pc'], $
                  ['box_average_11um_ctc_bli_pc_scaled','ctc_indiv_bli_pc']]
			         
			         
		;;;for testing justins file	         
;			            ['conv_init_bli','ci_indiv_bli_pc'], $
;               	 	['box_average_11um_ctc_scaled_bli','ctc_indiv_bli_pc']]
;               	 	            	 	

	overshoot_struct = [['pixel_latitude','lat'], $
	                    ['pixel_longitude','lon'], $
			    ['overshootcouplet_overshooting_top_grid_flag','ots']]

	;--Read in data
	;--------------------------


	status = hdf_sds_reader(filename_accum, $
				inputs1, $
				path = path_accum_ci, $
				hdf_struct = accum_struct, $
				attr = accum_attr, $
				sds_index=[0,1,2,3], $
				start=start, $
				count=count, $
				quiet=1)

	status = hdf_sds_reader(filename_indiv, $
				inputs2, $
				path = path_indiv_ci, $
				hdf_struct = indiv_struct, $
				attr = indiv_attr, $
				sds_index=[0,1,2,3], $
				start=start, $
				count=count, $
				quiet=1)
				
        status = HDF_SDS_READER(filename_overshoot, $
                                inputs3, $
	      		        path = path_overshoot, $
			        scale_fct = 'unscale_cat', $
			        hdf_struct = overshoot_struct, $
			        attr = overshoot_attr, $
			        quiet=1)

	;----------------------------------------------------------------------------------
	;--Done reading in data
	;----------------------------------------------------------------------------------

    ret_str={data1:inputs1, data2:inputs2, data3:inputs3, adate:date, atime:time}
  		
	RETURN, ret_str
	
END



